/*=============== HERO WHY ===============*/
.hero__why {
    position: relative;
    padding-block: 273.5px 154.5px;
    background: linear-gradient(93.11deg, #F5A623 4.72%, #E63329 85.8%);

    .hero__why__container {

        .hero__why__content {
            position: relative;
            display: flex;
            justify-content: center;
            align-items: center;
            text-align: center;
            flex-direction: column;
            z-index: 5;

            .text {
                display: flex;
                justify-content: center;
                align-items: center;
                text-align: center;
                flex-direction: column;
                gap: 30px;
                max-width: 730px;
                width: 100%;

                h1 {
                    font-size: 42px;
                    font-weight: var(--font-semi-bold);
                    color: var(--white);
                    text-shadow: 0px 4px 0px #11182769;
                }

                p {
                    font-size: 18px;
                    font-weight: var(--font-medium);
                    color: var(--white);
                    max-width: 558px;
                    line-height: 1.7;
                    width: 100%;
                    margin-bottom: 20px;
                    text-shadow: 0px 3px 0px #0000001A;
                }
            }

        }
    }

    .truck {
        position: absolute;
        top: 55%;
        right: -6%;
        transform: translateY(-50%) scaleX(-1) !important;
        width: 470px;
        height: 368px;
        object-fit: cover;
        z-index: 1;
    }

    .car {
        position: absolute;
        top: 55%;
        left: -5%;
        transform: translateY(-50%) scaleX(-1) !important;
        width: 484px;
        height: 287px;
        object-fit: cover;
        z-index: 1;
    }

    .line {
        position: relative;
        width: 100%;
        height: 75px;
        z-index: 2;
        margin-top: 30px;

        img {
            width: 100%;
            height: 100%;
        }

        .line-mobile {
            display: none;
        }

        span {
            position: absolute;
            top: 40%;
            left: 50%;
            transform: translate(-50%, -50%);
            display: flex;
            justify-content: center;
            align-items: center;
            width: 162px;
            height: 43px;
            background-color: var(--white);
            border-radius: 999px;
            z-index: 3;
            box-shadow: 0px 1px 4px 3px #00000014;
            font-size: 24px;
            font-weight: var(--font-bold);
            color: var(--text);
        }
    }
}

/*=============== BANNAR CLINTS ===============*/
.bannar__clints {
    padding-block: 40px;
    box-shadow: 0px 1px 0px 1px #0000000D;
    border-bottom: 1px solid #F2F2F2;

    .bannar__clints__container {

        .bannar__clints__content {
            .body__content {
                position: relative;
                max-width: 100%;

                .group__marquee {
                    position: relative;
                    max-width: 100%;
                    overflow: hidden;

                    .container__marquee {
                        --width: 200px;
                        --number_img: 5;
                        --duration: 50s;
                        display: flex;
                        gap: 70px;
                        max-width: 100%;
                        overflow: hidden;

                        img {
                            width: var(--width);
                            flex: 0 0 var(--width);
                            height: 120px;
                            offset: shape(from calc(var(--width) / -2) 50%,
                                    hline by calc(sibling-count() * max(100% / var(--number_img),
                                            var(--width) + 10px)));

                            animation:
                                maquree var(--duration) linear infinite calc(-1 * sibling-index() * var(--duration) / sibling-count());
                        }

                    }

                    &::after {
                        left: 0;
                    }

                }
            }
        }
    }
}

/*=============== ACHIVMENT ===============*/
.achivment {
    padding-block: 54px;

    .achivment__container {
        display: flex;
        flex-direction: column;
        align-items: center;

        .achivment__content {
            width: 100%;
            display: flex;
            flex-direction: column;
            align-items: center;
            text-align: center;
            gap: 41px;

            h2 {
                font-size: 48px;
                font-weight: var(--font-bold);
                color: var(--headings);
            }

            /* Stats Counter */
            .achivment__stats {
                display: flex;
                justify-content: center;
                align-items: center;
                gap: 100px;
                margin-bottom: 21px;
                flex-wrap: wrap;

                .stat__item {
                    display: flex;
                    align-items: center;
                    gap: 16px;

                    .stat__num {
                        font-size: 66px;
                        font-weight: var(--font-bold);
                        color: var(--red);
                    }

                    .stat__text {
                        font-size: 20px;
                        font-weight: var(--font-regular);
                        color: var(--subtext);
                    }
                }
            }

            /* Display Image */
            .achivment__display {
                width: 100%;
                max-width: 1000px;

                .image__wrapper {
                    position: relative;
                    width: 100%;
                    border-radius: 20px;
                    overflow: hidden;
                    height: 447px;

                    .main__img {
                        width: 100%;
                        height: 100%;
                        object-fit: cover;
                        transition: opacity 0.3s ease-in-out;
                    }

                    /* Tabs Overlay */
                    .tabs__overlay {
                        position: absolute;
                        bottom: 20px;
                        left: 20px;
                        display: flex;
                        gap: 13px;
                        z-index: 5;
                        flex-wrap: wrap;

                        .active-indicator {
                            position: absolute;
                            background-color: var(--blue);
                            border-radius: 99px;
                            transition: all 0.4s cubic-bezier(0.25, 1, 0.5, 1);
                            z-index: 1;
                            pointer-events: none;
                        }

                        .tab__btn {
                            position: relative;
                            display: flex;
                            align-items: center;
                            gap: 10px;
                            padding: 8px 16px;
                            border-radius: 99px;
                            font-size: 16px;
                            font-weight: var(--font-bold);
                            color: var(--white);
                            cursor: pointer;
                            border: 1px solid white;
                            outline: none;
                            z-index: 2;
                            transition: all 0.3s ease;
                            background-color: #FFFFFF66;
                            backdrop-filter: blur(140px);


                            i {
                                font-size: 22px;
                                color: var(--white);
                                transform: rotate(-45deg);
                                transition: transform 0.3s ease;
                            }


                            /* Hover & Active States */
                            &:hover {
                                background-color: var(--blue);
                                border-color: transparent;
                            }

                            &.active {
                                border-color: transparent;
                                background-color: var(--blue);
                            }
                        }
                    }
                }
            }
        }
    }
}

/*=============== SPICAL ===============*/
.spical {
    padding-block: 102px;

    .spical__container {

        .spical__content {
            display: flex;
            flex-direction: column;
            gap: 47px;

            .spical__header {
                max-width: 817px;
                display: flex;
                flex-direction: column;
                gap: 21px;

                h2 {
                    font-size: 40px;
                    font-weight: var(--font-bold);
                    color: var(--headings);
                }

                p {
                    font-size: 20px;
                    font-weight: var(--font-medium);
                    color: var(--text);
                }
            }

            .spical__grid {
                display: grid;
                grid-template-columns: repeat(3, 1fr);
                gap: 78px 28px;

                .spical__card {
                    display: flex;
                    flex-direction: column;
                    gap: 16px;
                    max-width: 430px;
                    width: 100%;

                    .card__header {
                        display: flex;
                        align-items: center;
                        gap: 7px;

                        i {
                            font-size: 28px;
                        }

                        h3 {
                            font-size: 24px;
                            font-weight: var(--font-bold);
                        }
                    }

                    p {
                        font-size: 20px;
                        color: var(--text);
                        width: 80%;
                    }

                    /* Color variations */
                    &.blue {
                        .card__header {
                            color: var(--blue);
                        }
                    }

                    &.red {
                        .card__header {
                            color: var(--red);
                        }
                    }

                    &.orange {
                        .card__header {
                            color: var(--orang);
                        }
                    }
                }
            }
        }
    }
}

/*=============== RESPONSIVE (WHY) ===============*/
@media (max-width: 1200px) {
    .hero__why {
        .truck {
            width: 380px;
            height: auto;
        }

        .car {
            width: 420px;
            height: auto;
        }
    }
}

@media (max-width: 991px) {
    .hero__why {
        padding-block: 210px 54px;
        display: flex;
        justify-content: center;
        align-items: center;
        text-align: center;
        flex-direction: column;

        .truck {
            width: 457px;
            height: auto;
            right: -14%;
            top: 64%;
        }

        .car {
            width: 479px;
            height: auto;
            left: -8%;
            top: 65%;
        }

        .hero__why__container {

            .hero__why__content {
                .text {
                    gap: 10px;
                    margin-bottom: 74px;

                    h1 {
                        font-size: 38px;
                    }

                    p {
                        max-width: 433px;
                    }

                }
            }

        }

        .line {
            height: 54px;
            max-width: 641px;
            width: 100%;

            span {
                width: 162px;
                height: 43px;
                top: 52%;
            }
        }
    }

    .bannar__clints {
        padding-block: 25px;

        .bannar__clints__container {
            .bannar__clints__content {
                .body__content {
                    .group__marquee {
                        .container__marquee {
                            --width: 130px;
                            gap: 40px;

                            img {
                                height: 80px;
                            }
                        }
                    }
                }
            }
        }
    }

    .achivment {
        padding-block: 40px;

        .achivment__container {
            .achivment__content {
                gap: 30px;


                .achivment__stats {
                    gap: 40px;

                    .stat__item {
                        gap: 12px;

                        .stat__num {
                            font-size: 48px;
                        }

                        .stat__text {
                            font-size: 16px;
                        }
                    }
                }

                .achivment__display {
                    .image__wrapper {
                        height: 447px;

                        .tabs__overlay {
                            left: 15px;
                            bottom: 15px;
                            gap: 8px;

                            .tab__btn {
                                font-size: 14px;
                                padding: 6px 12px;
                                gap: 6px;

                                i {
                                    font-size: 18px;
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    .spical {
        padding-block: 60px;

        .spical__container {
            .spical__content {
                gap: 35px;

                .spical__header {
                    h2 {
                        font-size: 32px;
                    }

                    p {
                        font-size: 18px;
                    }
                }

                .spical__grid {
                    grid-template-columns: repeat(2, 1fr);
                    gap: 40px 20px;
                }
            }
        }
    }
}

@media (max-width: 768px) {
    .hero__why {

        .truck {
            width: 357px;
            height: auto;
            right: -14%;
            top: 72%;
        }

        .car {
            width: 319px;
            top: 72%;
        }

        .hero__why__container {

            .hero__why__content {
                .text {
                    max-width: 100%;
                    margin-bottom: 150px;

                    p {
                        max-width: 90%;
                    }

                }
            }

        }

        .line {
            height: 52px;
            max-width: 439px;
            width: 100%;

            span {
                width: 162px;
                height: 43px;
                top: 52%;
            }
        }
    }

    .spical {
        .spical__container {
            .spical__content {
                .spical__grid {
                    gap: 30px;

                    .spical__card {
                        max-width: 100%;

                        p {
                            width: 100%;
                        }
                    }
                }
            }
        }
    }

    .section {
        padding-inline: 1.5rem;
    }
}

@media (max-width: 576px) {
    .hero__why {
		padding-block: 215px 0px;
        display: flex;
        flex-direction: column;
        align-items: center;
        height: 127vh;

        .hero__why__container {
            order: 1;

            .hero__why__content {
                .text {
                    margin-bottom: 105px;
					gap: 16px;

                    h1 {
                        font-size: 33px;
                    }

                    p {
                        max-width: 100%;
                    }
                }
            }
        }

        .car {
            width: 100%;
            top: auto;
            left: auto;
            position: static;
            order: 2;
        }

        .line {
            margin-top: -30px;
            width: 100%;
            order: 3;
            height: 93px;
            display: flex;
            justify-content: center;
            align-items: center;

            img {
                display: none;
            }

            .line-mobile {
                width: 80%;
                height: 93px;
                display: flex;
            }

            span {
                width: 162px;
                height: 43px;
                top: 48%;
            }
        }

        .truck {
            width: 100%;
            height: auto;
            right: auto;
            top: auto;
            position: static;
            order: 4;
            margin-top: 8rem;
        }
    }
	
	
	.bannar__clints {
		.bannar__clints__container {
			.bannar__clints__content {
				.body__content {
					.group__marquee {
						.container__marquee {
							img {
								height: 60px;
							}
						}
					}
				}
			}
		}
	}

    .achivment {
        .achivment__container {
            .achivment__content {
                gap: 41px;

                h2 {
                    font-size: 30px;
                }

                .achivment__stats {
                    flex-direction: column;
                    gap: 27px;

                    .stat__item {
                        gap: 12px;


                        .stat__text {
                            font-size: 19px;
                        }
                    }
                }

                .achivment__display {
                    .image__wrapper {

                        border-radius: 8px;

                        .tabs__overlay {
                            width: calc(100% - 30px);
                            justify-content: center;
                        }
                    }
                }
            }
        }
    }

    .spical {
        .spical__container {
            .spical__content {
                .spical__header {
                    align-items: center;
                    text-align: center;

                    h2 {
                        font-size: 38px;
                    }

                    p {
                        font-size: 18px;
                    }
                }

                .spical__grid {
                    grid-template-columns: 1fr;
                    gap: 32px;

                    .spical__card {
                        align-items: center;
                        text-align: center;
                        text-align: center;

                        .card__header {
                            flex-direction: column;
                        }
                    }
                }
            }
        }
    }

    .section {
        padding-inline: 1.5rem;
    }
}